name: Deploy preview (main_watanabe)

on:
  push:
    branches: ["main_watanabe"]
  workflow_dispatch:

concurrency:
  group: deploy-main_watanabe
  cancel-in-progress: true

jobs:
  deploy:
    runs-on: ["native"]
    steps:
      - uses: actions/checkout@v4
      - name: Deploy to preview (main_watanabe)
        env:
          BRANCH: main_watanabe
        run: /usr/local/bin/deploy_branch_simple.sh